> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhook records

> Paginated response with all the active webhooks on your account



## OpenAPI

````yaml /openapi.yaml get /webhooks
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /webhooks:
    get:
      tags:
        - Webhooks API
      summary: List Webhook records
      description: Paginated response with all the active webhooks on your account
      operationId: list-webhooks
      responses:
        '200':
          description: Paginated response with webhook records
          content:
            application/json:
              schema:
                type: object
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: Current page of the response
                  data:
                    type: array
                    description: Array of webhook record objects
                    items:
                      $ref: '#/components/schemas/Webhook'
                  first_page_url:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/webhooks?page=1
                    description: Endpoint to go to the first page of objects
                  from:
                    type: integer
                    example: 1
                    description: Offset of the current page
                  next_page_url:
                    type: string
                    nullable: true
                    example: https://api.mijnklantportaal.nl/v1/webhooks?page=2,
                    description: Endpoint to get the next batch of objects, if available
                  path:
                    type: string
                    example: https://api.mijnklantportaal.nl/v1/webhooks
                    description: Current used endpoint
                  per_page:
                    type: integer
                    example: 15
                    description: Amount of object returned per page. Default is 15 objects
                  prev_page_url:
                    type: string
                    nullable: true
                    example: null
                    description: Endpoint to get the previous batch of object, if available
                  to:
                    type: integer
                    example: 15
                    description: Next offset of objects
components:
  schemas:
    Webhook:
      type: object
      description: Webhook record
      properties:
        id:
          type: string
          example: wbh_abc12345def678
          description: ID of the Webhook record, always starting with `wbh_`.
        type:
          type: string
          example: customer-created
          description: Type of event what will trigger this webhook.
        url:
          type: string
          example: https://mijnklantportaal.nl/webhook-incoming
          description: The URL which gets triggered
        secret:
          type: string
          example: OUJX2prdBbJxR77BZlGz
          description: >-
            A random string which will be added to the `X-Webhook-Signature`
            header of the webhook call. With this secret, you can validate if
            the request is coming from MijnKlantportaal.
        createdAt:
          type: string
          example: '2024-04-29T21:00:00+02:00'
          description: Date and time when the payment was started. Written in ATOM format.
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````